Name:		perl-HTML-Table
Version: 	2.08a
Release:	2.1
License: 	GPL
Group: 		Development/Libraries/Perl
Summary: 	Perl module HTML::Table
Summary(de):	Perlmodul HTML::Table
URL: 		http://search.cpan.org/~ajpeacock/
Source0: 	HTML-Table-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel libgcc gcc gcc-c++ perl
%if 0%{?fedora_version} >= 7
BuildRequires: perl-ExtUtils-MakeMaker
%endif

%description
HTML::Table is used to generate HTML tables for
CGI scripts. By using the methods provided fairly
complex tables can be created, manipulated, then printed
from Perl scripts. The module also greatly simplifies
creating tables within tables from Perl. It is possible
to create an entire table using the methods provided and
never use an HTML tag.

HTML::Table also allows for creating dynamically sized
tables via its addRow and addCol methods. These methods
automatically resize the table if passed more cell values
than will fit in the current table grid.

Methods are provided for nearly all valid table, row, and
cell tags specified for HTML 3.0.

%prep
%setup -q -n HTML-Table-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"
chmod -x README Changes

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorlib}/HTML
%{perl_vendorlib}/HTML/Table.pm
%{_mandir}/man3//HTML::Table.3pm*

%changelog
* Sat Jan 09 2010 Carsten Schoene <cs@linux-administrator.com> - 2.08a-1
- update to release 2.08a

* Fri Feb 23 2007 Carsten Schoene <cs@linux-administrator.com> - 2.04a-1
- initial build of HTML::Table perl package which is required for flowscan 
